Package org.jboss.logmanager.handlers

## Class UninterruptibleOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.jboss.logmanager.handlers.UninterruptibleOutputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

    public final class UninterruptibleOutputStream
    extends java.io.OutputStream

An output stream which is not interruptible.

Author:
  David M. Lloyd

### Constructor Summary

Constructors
`UninterruptibleOutputStream​(java.io.OutputStream out)` Construct a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close the stream uninterruptibly.
`void` `flush()` Flush the stream uninterruptibly.
`java.lang.String` `toString()` Get the string representation of this stream.
`void` `write​(byte[] b, int off, int len)` Write the given bytes uninterruptibly.
`void` `write​(int b)` Write the given byte uninterruptibly.

### Methods inherited from class java.io.OutputStream

`nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UninterruptibleOutputStream

    public UninterruptibleOutputStream​(java.io.OutputStream out)

Construct a new instance.

Parameters:
  `out` - the delegate stream

### Method Detail

#### write

    public void write​(int b)
               throws java.io.IOException

Write the given byte uninterruptibly.

Specified by:
  `write` in class `java.io.OutputStream`
Parameters:
  `b` - the byte to write
Throws:
  `java.io.IOException` - if an error occurs

#### write

    public void write​(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

Write the given bytes uninterruptibly.

Overrides:
  `write` in class `java.io.OutputStream`
Parameters:
  `b` - the bytes to write
  `off` - the offset into the array
  `len` - the length of the array to write
Throws:
  `java.io.IOException` - if an error occurs

#### flush

    public void flush()
               throws java.io.IOException

Flush the stream uninterruptibly.

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.OutputStream`
Throws:
  `java.io.IOException` - if an error occurs

#### close

    public void close()
               throws java.io.IOException

Close the stream uninterruptibly.

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException` - if an error occurs

#### toString

    public java.lang.String toString()

Get the string representation of this stream.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the string